TransferInfo (The Data Transfer scheduler library 2.0.0-SNAPSHOT API)
Date: 2013-10-14

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.library.outcome
Class TransferInfo

    java.lang.Object
      org.gcube.datatransfer.scheduler.library.outcome.TransferInfo

    public class TransferInfo

extends Object

Field Summary
`long` | `bytes_have_been_transferred`
`int` | `numOdUpdates`
`protected String` | `status`
`protected String` | `submitter`
`long` | `total_size`
`List<String>` | `transferError`
`String` | `transferIdOfAgent`
`protected TypeOfSchedule` | `typeOfSchedule`

Constructor Summary
`TransferInfo()`

Method Summary
`long` | `getBytes_have_been_transferred()`
`int` | `getNumOdUpdates()`
`String[]` | `getObjectFailedIDs()`
`String[]` | `getObjectTrasferredIDs()`
`String` | `getStatus()`
`String` | `getSubmittedDate()`
`String` | `getSubmitter()`
`long` | `getTotal_size()`
`List<String>` | `getTransferError()`
`String` | `getTransferId()`
`String` | `getTransferIdOfAgent()`
`TypeOfSchedule` | `getTypeOfSchedule()`
`void` | `setBytes_have_been_transferred(long bytes_have_been_transferred)`
`void` | `setNumOdUpdates(int numOdUpdates)`
`void` | `setObjectFailedIDs(String[] objectFailedIDs)`
`void` | `setObjectTrasferredIDs(String[] objectTrasferredIDs)`
`void` | `setStatus(String status)`
`void` | `setSubmittedDate(String submittedDate)`
`void` | `setSubmitter(String submitter)`
`void` | `setTotal_size(long total_size)`
`void` | `setTransferError(List<String> transferError)`
`void` | `setTransferId(String transferId)`
`void` | `setTransferIdOfAgent(String transferIdOfAgent)`
`void` | `setTypeOfSchedule(TypeOfSchedule typeOfSchedule)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### submitter

    protected String submitter

### status

    protected String status

### numOdUpdates

    public int numOdUpdates

### transferError

    public List<String> transferError

### transferIdOfAgent

    public String transferIdOfAgent

### typeOfSchedule

    protected TypeOfSchedule typeOfSchedule

### total_size

    public long total_size

### bytes_have_been_transferred

    public long bytes_have_been_transferred

Constructor Detail

### TransferInfo

    public TransferInfo()

Method Detail

### getTransferId

    public String getTransferId()

### setTransferId

    public void setTransferId(String transferId)

### getSubmitter

    public String getSubmitter()

### setSubmitter

    public void setSubmitter(String submitter)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getObjectTrasferredIDs

    public String[] getObjectTrasferredIDs()

### setObjectTrasferredIDs

    public void setObjectTrasferredIDs(String[] objectTrasferredIDs)

### getObjectFailedIDs

    public String[] getObjectFailedIDs()

### setObjectFailedIDs

    public void setObjectFailedIDs(String[] objectFailedIDs)

### getTransferError

    public List<String> getTransferError()

### setTransferError

    public void setTransferError(List<String> transferError)

### getTransferIdOfAgent

    public String getTransferIdOfAgent()

### setTransferIdOfAgent

    public void setTransferIdOfAgent(String transferIdOfAgent)

### getTypeOfSchedule

    public TypeOfSchedule getTypeOfSchedule()

### setTypeOfSchedule

    public void setTypeOfSchedule(TypeOfSchedule typeOfSchedule)

### getSubmittedDate

    public String getSubmittedDate()

### setSubmittedDate

    public void setSubmittedDate(String submittedDate)

### getTotal_size

    public long getTotal_size()

### getBytes_have_been_transferred

    public long getBytes_have_been_transferred()

### setTotal_size

    public void setTotal_size(long total_size)

### setBytes_have_been_transferred

    public void setBytes_have_been_transferred(long bytes_have_been_transferred)

### getNumOdUpdates

    public int getNumOdUpdates()

### setNumOdUpdates

    public void setNumOdUpdates(int numOdUpdates)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.